# $Revision: 1.8 $, $Date: 2010/08/22 08:51:31 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Services_Yahoo
Summary:	%{_pearname} - provides access to the Yahoo! Web Services
Summary(pl.UTF-8):	%{_pearname} - klasa umożliwiająca dostęp do usług WWW Yahoo!
Name:		php-pear-%{_pearname}
Version:	0.2.0
Release:	6
License:	Apache v2.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d4fb681ed6686584ba43ec493aa18f27
Patch0:		%{name}-paths_fix.patch
URL:		http://pear.php.net/package/Services_Yahoo/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-HTTP_Request
Requires:	php-pear-PEAR-core >= 1:1.3.3
Requires:	php-simplexml
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Services_Yahoo provides object-oriented interfaces to the web service
capabilities of Yahoo.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Services_Yahoo dostarcza zorientowany obiektowo interfejs do usług WWW
Yahoo.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/Services
%{php_pear_dir}/Services/Yahoo

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/%{_pearname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Services_Yahoo.spec,v $
Revision 1.8  2010/08/22 08:51:31  glen
- ensure rpmbuild macros present

Revision 1.7  2010/08/21 19:09:23  glen
- updated deps with pearize.sh
- release 6

Revision 1.6  2008/04/12 21:14:52  qboosh
- pl fix

Revision 1.5  2008-01-31 12:17:19  glen
- rel 5

Revision 1.4  2007-12-27 14:13:42  glen
- rel 4

Revision 1.3  2007-12-27 14:13:27  glen
- dirs fix

Revision 1.2  2007-09-06 23:20:02  adamg
- paths_fix.patch; release 2

Revision 1.1  2007/09/03 15:26:08  adamg
- new
